ru.bitel.bgbilling.kernel.contract.limit.server.bean

## Class LimitManager.ContractLimitParameters

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.limit.server.bean.LimitManager.ContractLimitParameters

- Enclosing class:
    LimitManager

      public static class LimitManager.ContractLimitParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `groups`
    `int` | `maxDays`
    `int` | `maxExpiredForBlock`
    `int` | `maxNotPayoffed`
    `int` | `maxPartialPayoffed`
    `java.math.BigDecimal` | `maxSumm`
    `int` | `minDays`
    `java.math.BigDecimal` | `minLimit`
    `java.math.BigDecimal` | `minSumm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractLimitParameters(long groups, int maxNotPayoffed, int maxPartialPayoffed, int maxExpiredForBlock, int minDays, int maxDays, java.math.BigDecimal minSumm, java.math.BigDecimal maxSumm, java.math.BigDecimal minLimit)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxDays()`
    `java.math.BigDecimal` | `getMaxSumm()`
    `int` | `getMinDays()`
    `java.math.BigDecimal` | `getMinLimit()`
    `java.math.BigDecimal` | `getMinSumm()`
    `static java.util.List<LimitManager.ContractLimitParameters>` | `load(Setup setup)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### groups

          public final long groups

    - #### maxNotPayoffed

          public final int maxNotPayoffed

    - #### maxPartialPayoffed

          public final int maxPartialPayoffed

    - #### maxExpiredForBlock

          public final int maxExpiredForBlock

    - #### minDays

          public final int minDays

    - #### maxDays

          public final int maxDays

    - #### minSumm

          public final java.math.BigDecimal minSumm

    - #### maxSumm

          public final java.math.BigDecimal maxSumm

    - #### minLimit

          public final java.math.BigDecimal minLimit

  - ### Constructor Detail

    - #### ContractLimitParameters

          public ContractLimitParameters(long groups,
                                         int maxNotPayoffed,
                                         int maxPartialPayoffed,
                                         int maxExpiredForBlock,
                                         int minDays,
                                         int maxDays,
                                         java.math.BigDecimal minSumm,
                                         java.math.BigDecimal maxSumm,
                                         java.math.BigDecimal minLimit)

  - ### Method Detail

    - #### getMinSumm

          public java.math.BigDecimal getMinSumm()

    - #### getMaxSumm

          public java.math.BigDecimal getMaxSumm()

    - #### getMinLimit

          public java.math.BigDecimal getMinLimit()

    - #### getMinDays

          public int getMinDays()

    - #### getMaxDays

          public int getMaxDays()

    - #### load

          public static final java.util.List<LimitManager.ContractLimitParameters> load(Setup setup)